From 5033b9acf0ce8adebaeb2db75c59f39dc431e59d Mon Sep 17 00:00:00 2001
From: Dan Goodliffe <dan.goodliffe@octal.co.uk>
Date: Thu, 1 Jul 2021 10:26:29 +0100
Subject: Remove dependency on db, deprecated and not actually required

Also removes libressl option, gone.
---
 dev-libs/Ice/Ice-3.7.4.ebuild    | 293 --------------------------------------
 dev-libs/Ice/Ice-3.7.5.ebuild    | 294 ---------------------------------------
 dev-libs/Ice/Ice-3.7.6-r1.ebuild | 272 ++++++++++++++++++++++++++++++++++++
 dev-libs/Ice/Ice-3.7.6.ebuild    | 294 ---------------------------------------
 dev-libs/Ice/Manifest            |   6 +-
 5 files changed, 273 insertions(+), 886 deletions(-)
 delete mode 100644 dev-libs/Ice/Ice-3.7.4.ebuild
 delete mode 100644 dev-libs/Ice/Ice-3.7.5.ebuild
 create mode 100644 dev-libs/Ice/Ice-3.7.6-r1.ebuild
 delete mode 100644 dev-libs/Ice/Ice-3.7.6.ebuild

(limited to 'dev-libs/Ice')

diff --git a/dev-libs/Ice/Ice-3.7.4.ebuild b/dev-libs/Ice/Ice-3.7.4.ebuild
deleted file mode 100644
index e53f1d5..0000000
--- a/dev-libs/Ice/Ice-3.7.4.ebuild
+++ /dev/null
@@ -1,293 +0,0 @@
-# Copyright 1999-2017 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI="7"
-
-PYTHON_COMPAT=( python{3_4,3_5,3_6,3_7,3_8,3_9} pypy )
-
-RUBY_OPTIONAL="yes"
-USE_RUBY="ruby22"
-
-PHP_EXT_NAME="IcePHP"
-PHP_EXT_INI="yes"
-PHP_EXT_ZENDEXT="no"
-
-PHP_EXT_OPTIONAL_USE=php
-
-USE_PHP="php7-0"
-
-# This variable does not belong to any eclass. It is solely used in this ebuild
-# db:6.2 breaks the build process
-BERKDB_SLOTS=( 6.1 5.3 5.1 4.8 )
-
-inherit db-use eutils mono-env php-ext-source-r3 python-r1 ruby-ng toolchain-funcs
-
-DESCRIPTION="ICE middleware C++ library and generator tools"
-HOMEPAGE="http://www.zeroc.com/"
-SRC_URI="https://github.com/zeroc-ice/ice/archive/v${PV/_/-}.tar.gz -> ${P/_/-}.tar.gz"
-LICENSE="GPL-2"
-SLOT="0/37"
-KEYWORDS="amd64 x86"
-IUSE="doc examples libressl +ncurses mono php python ruby c++0x test debug"
-
-RDEPEND=">=dev-libs/expat-2.0.1
-	>=app-arch/bzip2-1.0.5
-	!libressl? ( dev-libs/openssl:0= )
-	libressl? ( dev-libs/libressl:0= )
-	|| (
-		$(for slot in ${BERKDB_SLOTS[@]} ; do printf '%s\n' "sys-libs/db:${slot}[cxx]" ; done)
-	)
-	>=dev-cpp/libmcpp-2.7.2-r3
-	=dev-db/lmdb-0.9*
-	python? ( ${PYTHON_DEPS} )
-	ruby? ( $(ruby_implementation_depend ruby22) )
-	mono? ( dev-lang/mono )
-	php? ( dev-lang/php:7.0 )
-	!dev-python/IcePy
-	!dev-ruby/IceRuby"
-DEPEND="${RDEPEND}
-	ncurses? ( sys-libs/ncurses:0= sys-libs/readline:0= )
-	test? (
-		${PYTHON_DEPS}
-		dev-python/passlib[${PYTHON_USEDEP}]
-	)"
-
-# Maintainer notes:
-# TODO: java bindings, multiple ruby versions (supports 2.{1,2,3})
-
-S="${P/_/-}"
-S="${WORKDIR}/${S/I/i}"
-PHP_EXT_S="${S}/php"
-
-pkg_setup() {
-	# prevent ruby-ng.eclass from messing with pkg_setup
-	return
-}
-
-src_unpack() {
-	# prevent ruby-ng.eclass from messing with src_unpack
-	default
-}
-
-src_prepare() {
-	# prevent ruby-ng.eclass from messing with src_prepare
-	default
-}
-
-src_configure() {
-	suitable_db_version() {
-		local ver
-		for ver in "${BERKDB_SLOTS[@]}"; do
-			if [[ -n $(db_findver sys-libs/db:${ver}) ]]; then
-				echo "${ver}"
-				return 0
-			fi
-		done
-		die "No suitable BerkDB versions found, aborting"
-	}
-
-	CONFIGS=("shared")
-	use c++0x && CONFIGS+=("cpp11-shared")
-	MAKE_RULES=(
-		"prefix=\"${ED%/}/usr\""
-		"install_docdir=\"${ED%/}/usr/share/doc/${PF}\""
-		"install_configdir=\"${ED%/}/usr/share/${P}/config\""
-		"install_mandir=\"${ED%/}/usr/share/man\""
-		"embedded_runpath_prefix=\"${EPREFIX}/usr\""
-		"configs=${CONFIGS[*]}"
-		"new_dtags=yes"
-		"NOTEST=$(usex !test)"
-		"USE_READLINE=$(usex ncurses)"
-		"OPTIMIZE=$(usex !debug)"
-	)
-
-	local BERKDB_VERSION="$(suitable_db_version)"
-	MAKE_RULES+=("DB_FLAGS=-I$(db_includedir ${BERKDB_VERSION})")
-	sed -i \
-		-e "s|g++|$(tc-getCXX)|" \
-		-e "s|\(CFLAGS[[:space:]]*=\)|\1 ${CFLAGS}|" \
-		-e "s|\(CXXFLAGS[[:space:]]*=\)|\1 ${CXXFLAGS}|" \
-		-e "s|\(LDFLAGS[[:space:]]*=\)|\1 ${LDFLAGS}|" \
-		-e "s|\(DB_LIBS[[:space:]]*=\) \-ldb_cxx|\1 -ldb_cxx-$(db_findver sys-libs/db:${BERKDB_VERSION})|" \
-		cpp/config/Make.rules python/config/Make.rules || die "sed failed"
-
-	if use python; then
-		local S="${S}/python"
-		python_copy_sources
-	fi
-
-	if use ruby; then
-		SITERUBY="$(ruby22 -r rbconfig -e 'print RbConfig::CONFIG["sitelibdir"]')"
-		MAKE_RULES_RUBY=(
-			"install_rubydir=\"${ED%/}/${SITERUBY}\""
-			"install_libdir=\"${ED%/}/${SITERUBY}\""
-		)
-
-		# make it use ruby22 only
-		sed -i \
-			-e 's|RUBY = ruby|\022|' \
-			ruby/config/Make.rules || die "sed failed"
-		sed -i \
-			-e 's|env ruby|\022|' \
-			ruby/config/s2rb.rb || die "sed failed"
-		sed -i \
-			-e 's|env ruby|\022|' \
-			ruby/scripts/slice2rb || die "sed failed"
-		sed -i \
-			-e 's|output.write("ruby|\022|' \
-			scripts/TestUtil.py || die "sed failed"
-	fi
-
-	MAKE_RULES_MONO=(
-		"GACINSTALL=yes"
-		"GAC_ROOT=\"${ED%/}/usr/$(get_libdir)\""
-		"GAC_DIR=\"${EPREFIX}/usr/$(get_libdir)\""
-		"install_libdir=\"${ED%/}/usr/$(get_libdir)\""
-		"install_pkgconfigdir=\"${ED%/}/usr/$(get_libdir)/pkgconfig\""
-	)
-
-	if has_version ">dev-lang/mono-4"; then
-		MAKE_RULES_MONO+=("MCS=mcs")
-	fi
-
-	use test && python_setup
-}
-
-src_compile() {
-	# Do not remove this export or build will break!
-	tc-export CXX
-
-	emake -C cpp "${MAKE_RULES[@]}" srcs
-
-	if use php; then
-		local i
-		for i in $(php_get_slots); do
-			mkdir -p "${WORKDIR}/${i}" || die
-			cp -r "${PHP_EXT_S}" "${WORKDIR}/${i}/" || die "Failed to copy source ${PHP_EXT_S} to PHP target directory"
-
-			pushd "${WORKDIR}/${i}" >/dev/null || die
-			ln -s "${S}/cpp" || die
-			ln -s "${S}/config" || die
-			ln -s "${S}/slice" || die
-			ln -s "${S}/Makefile" || die
-
-			emake -C php "${MAKE_RULES[@]}" USE_NAMESPACES=yes "PHP_CONFIG=\"${EPREFIX}/usr/$(get_libdir)/${i}/bin/php-config\""
-			popd >/dev/null || die
-		done
-	fi
-
-	if use python; then
-		building() {
-			emake -C "${BUILD_DIR}" "${MAKE_RULES[@]}" PYTHON="${EPYTHON}"
-		}
-		local S="${S}/python"
-		python_foreach_impl building
-	fi
-
-	if use ruby; then
-		emake -C ruby "${MAKE_RULES[@]}" "${MAKE_RULES_RUBY[@]}"
-	fi
-
-	if use mono; then
-		emake -C csharp "${MAKE_RULES[@]}" "${MAKE_RULES_MONO[@]}"
-	fi
-}
-
-src_test() {
-	local -x LD_LIBRARY_PATH="${S}/cpp/$(get_libdir)${LD_LIBRARY_PATH+:}${LD_LIBRARY_PATH}"
-	emake -C cpp "${MAKE_RULES[@]}" tests
-
-	# php tests require the extension loaded and are therefore skipped
-
-	if use python; then
-		testing() {
-			emake -C "${BUILD_DIR}" \
-				"${MAKE_RULES[@]}" \
-				PYTHON="${EPYTHON}" \
-				install_pythondir="\"${D%/}/$(python_get_sitedir)\"" \
-				install_libdir="\"${D%/}/$(python_get_sitedir)\"" test
-		}
-		local S="${S}/python"
-		python_foreach_impl testing
-	fi
-
-	if use ruby; then
-		emake -C ruby "${MAKE_RULES[@]}" "${MAKE_RULES_RUBY[@]}" test
-	fi
-
-	if use mono; then
-		# skip mono tests, bug #498484
-		ewarn "Tests for C# are currently disabled."
-		#emake -C csharp "${MAKE_RULES[@]}" "${MAKE_RULES_MONO[@]}" test
-	fi
-}
-
-src_install() {
-	local DOCS=( CHANGELOG*.md README.md )
-	einstalldocs
-
-	insinto /usr/share/${P}
-	doins -r slice
-
-	emake -C cpp "${MAKE_RULES[@]}" install
-	find ${D}/usr/include ${D}/usr/share -type f -print0 | xargs -r0 chmod a-x
-
-	if use examples; then
-		docinto examples-cpp
-		dodoc cpp/config/*.cfg
-		docompress -x /usr/share/doc/${PF}/examples-cpp
-	fi
-
-	if use php; then
-		insinto "/usr/share/php/${PN}"
-
-		local i
-		while IFS="" read -d $'\0' -r i; do
-			doins "${i}"
-		done < <(find "${S}/php/lib/" -name '*.php' -print0)
-
-		pushd "${ED%/}/usr/share/${P}/slice" >/dev/null || die
-
-		local -x LD_LIBRARY_PATH="${ED%/}/usr/$(get_libdir):${LD_LIBRARY_PATH}"
-		for i in *; do
-			mkdir -p "${ED%/}/usr/share/php/${i}" || die
-			"${ED%/}"/usr/bin/slice2php \
-				-I"${ED%/}/usr/share/${P}/slice/" --all \
-				--output-dir "${ED%/}/usr/share/php/${i}" \
-				--ice "${ED%/}/usr/share/${P}/slice/${i}"/*
-		done
-
-		for i in $(php_get_slots); do
-			php_init_slot_env "${i}"
-			insinto "${EXT_DIR}"
-			newins "php/lib/${PHP_EXT_NAME}.so" "${PHP_EXT_NAME}.so"
-		done
-		php-ext-source-r2_createinifiles
-
-		popd >/dev/null || die
-	fi
-
-	if use python; then
-		installation() {
-			mkdir -p "${D%/}/$(python_get_sitedir)" || die
-
-			emake -C "${BUILD_DIR}" \
-				"${MAKE_RULES[@]}" \
-				install_pythondir="\"${D%/}/$(python_get_sitedir)\"" \
-				install_libdir="\"${D%/}/$(python_get_sitedir)\"" \
-				install
-		}
-		local S="${S}/python"
-		python_foreach_impl installation
-	fi
-
-	if use ruby; then
-		dodir "${SITERUBY}"
-		emake -C ruby "${MAKE_RULES[@]}" "${MAKE_RULES_RUBY[@]}" install
-	fi
-
-	if use mono; then
-		emake -C csharp "${MAKE_RULES[@]}" "${MAKE_RULES_MONO[@]}" install
-	fi
-}
diff --git a/dev-libs/Ice/Ice-3.7.5.ebuild b/dev-libs/Ice/Ice-3.7.5.ebuild
deleted file mode 100644
index 15d2cc2..0000000
--- a/dev-libs/Ice/Ice-3.7.5.ebuild
+++ /dev/null
@@ -1,294 +0,0 @@
-# Copyright 1999-2017 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI="7"
-
-PYTHON_COMPAT=( python{3_4,3_5,3_6,3_7,3_8,3_9} pypy )
-
-RUBY_OPTIONAL="yes"
-USE_RUBY="ruby22"
-
-PHP_EXT_NAME="IcePHP"
-PHP_EXT_INI="yes"
-PHP_EXT_ZENDEXT="no"
-
-PHP_EXT_OPTIONAL_USE=php
-
-USE_PHP="php7-0"
-
-# This variable does not belong to any eclass. It is solely used in this ebuild
-# db:6.2 breaks the build process
-BERKDB_SLOTS=( 6.1 5.3 5.1 4.8 )
-
-inherit db-use eutils mono-env php-ext-source-r3 python-r1 ruby-ng toolchain-funcs
-
-DESCRIPTION="ICE middleware C++ library and generator tools"
-HOMEPAGE="http://www.zeroc.com/"
-SRC_URI="https://github.com/zeroc-ice/ice/archive/v${PV/_/-}.tar.gz -> ${P/_/-}.tar.gz"
-LICENSE="GPL-2"
-SLOT="0/37"
-KEYWORDS="amd64 x86"
-IUSE="doc examples libressl +ncurses mono php python ruby c++0x test debug"
-
-RDEPEND=">=dev-libs/expat-2.0.1
-	>=app-arch/bzip2-1.0.5
-	!libressl? ( dev-libs/openssl:0= )
-	libressl? ( dev-libs/libressl:0= )
-	dev-libs/libedit
-	|| (
-		$(for slot in ${BERKDB_SLOTS[@]} ; do printf '%s\n' "sys-libs/db:${slot}[cxx]" ; done)
-	)
-	>=dev-cpp/libmcpp-2.7.2-r3
-	=dev-db/lmdb-0.9*
-	python? ( ${PYTHON_DEPS} )
-	ruby? ( $(ruby_implementation_depend ruby22) )
-	mono? ( dev-lang/mono )
-	php? ( dev-lang/php:7.0 )
-	!dev-python/IcePy
-	!dev-ruby/IceRuby"
-DEPEND="${RDEPEND}
-	ncurses? ( sys-libs/ncurses:0= sys-libs/readline:0= )
-	test? (
-		${PYTHON_DEPS}
-		dev-python/passlib[${PYTHON_USEDEP}]
-	)"
-
-# Maintainer notes:
-# TODO: java bindings, multiple ruby versions (supports 2.{1,2,3})
-
-S="${P/_/-}"
-S="${WORKDIR}/${S/I/i}"
-PHP_EXT_S="${S}/php"
-
-pkg_setup() {
-	# prevent ruby-ng.eclass from messing with pkg_setup
-	return
-}
-
-src_unpack() {
-	# prevent ruby-ng.eclass from messing with src_unpack
-	default
-}
-
-src_prepare() {
-	# prevent ruby-ng.eclass from messing with src_prepare
-	default
-}
-
-src_configure() {
-	suitable_db_version() {
-		local ver
-		for ver in "${BERKDB_SLOTS[@]}"; do
-			if [[ -n $(db_findver sys-libs/db:${ver}) ]]; then
-				echo "${ver}"
-				return 0
-			fi
-		done
-		die "No suitable BerkDB versions found, aborting"
-	}
-
-	CONFIGS=("shared")
-	use c++0x && CONFIGS+=("cpp11-shared")
-	MAKE_RULES=(
-		"prefix=\"${ED%/}/usr\""
-		"install_docdir=\"${ED%/}/usr/share/doc/${PF}\""
-		"install_configdir=\"${ED%/}/usr/share/${P}/config\""
-		"install_mandir=\"${ED%/}/usr/share/man\""
-		"embedded_runpath_prefix=\"${EPREFIX}/usr\""
-		"configs=${CONFIGS[*]}"
-		"new_dtags=yes"
-		"NOTEST=$(usex !test)"
-		"USE_READLINE=$(usex ncurses)"
-		"OPTIMIZE=$(usex !debug)"
-	)
-
-	local BERKDB_VERSION="$(suitable_db_version)"
-	MAKE_RULES+=("DB_FLAGS=-I$(db_includedir ${BERKDB_VERSION})")
-	sed -i \
-		-e "s|g++|$(tc-getCXX)|" \
-		-e "s|\(CFLAGS[[:space:]]*=\)|\1 ${CFLAGS}|" \
-		-e "s|\(CXXFLAGS[[:space:]]*=\)|\1 ${CXXFLAGS}|" \
-		-e "s|\(LDFLAGS[[:space:]]*=\)|\1 ${LDFLAGS}|" \
-		-e "s|\(DB_LIBS[[:space:]]*=\) \-ldb_cxx|\1 -ldb_cxx-$(db_findver sys-libs/db:${BERKDB_VERSION})|" \
-		cpp/config/Make.rules python/config/Make.rules || die "sed failed"
-
-	if use python; then
-		local S="${S}/python"
-		python_copy_sources
-	fi
-
-	if use ruby; then
-		SITERUBY="$(ruby22 -r rbconfig -e 'print RbConfig::CONFIG["sitelibdir"]')"
-		MAKE_RULES_RUBY=(
-			"install_rubydir=\"${ED%/}/${SITERUBY}\""
-			"install_libdir=\"${ED%/}/${SITERUBY}\""
-		)
-
-		# make it use ruby22 only
-		sed -i \
-			-e 's|RUBY = ruby|\022|' \
-			ruby/config/Make.rules || die "sed failed"
-		sed -i \
-			-e 's|env ruby|\022|' \
-			ruby/config/s2rb.rb || die "sed failed"
-		sed -i \
-			-e 's|env ruby|\022|' \
-			ruby/scripts/slice2rb || die "sed failed"
-		sed -i \
-			-e 's|output.write("ruby|\022|' \
-			scripts/TestUtil.py || die "sed failed"
-	fi
-
-	MAKE_RULES_MONO=(
-		"GACINSTALL=yes"
-		"GAC_ROOT=\"${ED%/}/usr/$(get_libdir)\""
-		"GAC_DIR=\"${EPREFIX}/usr/$(get_libdir)\""
-		"install_libdir=\"${ED%/}/usr/$(get_libdir)\""
-		"install_pkgconfigdir=\"${ED%/}/usr/$(get_libdir)/pkgconfig\""
-	)
-
-	if has_version ">dev-lang/mono-4"; then
-		MAKE_RULES_MONO+=("MCS=mcs")
-	fi
-
-	use test && python_setup
-}
-
-src_compile() {
-	# Do not remove this export or build will break!
-	tc-export CXX
-
-	emake -C cpp "${MAKE_RULES[@]}" srcs
-
-	if use php; then
-		local i
-		for i in $(php_get_slots); do
-			mkdir -p "${WORKDIR}/${i}" || die
-			cp -r "${PHP_EXT_S}" "${WORKDIR}/${i}/" || die "Failed to copy source ${PHP_EXT_S} to PHP target directory"
-
-			pushd "${WORKDIR}/${i}" >/dev/null || die
-			ln -s "${S}/cpp" || die
-			ln -s "${S}/config" || die
-			ln -s "${S}/slice" || die
-			ln -s "${S}/Makefile" || die
-
-			emake -C php "${MAKE_RULES[@]}" USE_NAMESPACES=yes "PHP_CONFIG=\"${EPREFIX}/usr/$(get_libdir)/${i}/bin/php-config\""
-			popd >/dev/null || die
-		done
-	fi
-
-	if use python; then
-		building() {
-			emake -C "${BUILD_DIR}" "${MAKE_RULES[@]}" PYTHON="${EPYTHON}"
-		}
-		local S="${S}/python"
-		python_foreach_impl building
-	fi
-
-	if use ruby; then
-		emake -C ruby "${MAKE_RULES[@]}" "${MAKE_RULES_RUBY[@]}"
-	fi
-
-	if use mono; then
-		emake -C csharp "${MAKE_RULES[@]}" "${MAKE_RULES_MONO[@]}"
-	fi
-}
-
-src_test() {
-	local -x LD_LIBRARY_PATH="${S}/cpp/$(get_libdir)${LD_LIBRARY_PATH+:}${LD_LIBRARY_PATH}"
-	emake -C cpp "${MAKE_RULES[@]}" tests
-
-	# php tests require the extension loaded and are therefore skipped
-
-	if use python; then
-		testing() {
-			emake -C "${BUILD_DIR}" \
-				"${MAKE_RULES[@]}" \
-				PYTHON="${EPYTHON}" \
-				install_pythondir="\"${D%/}/$(python_get_sitedir)\"" \
-				install_libdir="\"${D%/}/$(python_get_sitedir)\"" test
-		}
-		local S="${S}/python"
-		python_foreach_impl testing
-	fi
-
-	if use ruby; then
-		emake -C ruby "${MAKE_RULES[@]}" "${MAKE_RULES_RUBY[@]}" test
-	fi
-
-	if use mono; then
-		# skip mono tests, bug #498484
-		ewarn "Tests for C# are currently disabled."
-		#emake -C csharp "${MAKE_RULES[@]}" "${MAKE_RULES_MONO[@]}" test
-	fi
-}
-
-src_install() {
-	local DOCS=( CHANGELOG*.md README.md )
-	einstalldocs
-
-	insinto /usr/share/${P}
-	doins -r slice
-
-	emake -C cpp "${MAKE_RULES[@]}" install
-	find ${D}/usr/include ${D}/usr/share -type f -print0 | xargs -r0 chmod a-x
-
-	if use examples; then
-		docinto examples-cpp
-		dodoc cpp/config/*.cfg
-		docompress -x /usr/share/doc/${PF}/examples-cpp
-	fi
-
-	if use php; then
-		insinto "/usr/share/php/${PN}"
-
-		local i
-		while IFS="" read -d $'\0' -r i; do
-			doins "${i}"
-		done < <(find "${S}/php/lib/" -name '*.php' -print0)
-
-		pushd "${ED%/}/usr/share/${P}/slice" >/dev/null || die
-
-		local -x LD_LIBRARY_PATH="${ED%/}/usr/$(get_libdir):${LD_LIBRARY_PATH}"
-		for i in *; do
-			mkdir -p "${ED%/}/usr/share/php/${i}" || die
-			"${ED%/}"/usr/bin/slice2php \
-				-I"${ED%/}/usr/share/${P}/slice/" --all \
-				--output-dir "${ED%/}/usr/share/php/${i}" \
-				--ice "${ED%/}/usr/share/${P}/slice/${i}"/*
-		done
-
-		for i in $(php_get_slots); do
-			php_init_slot_env "${i}"
-			insinto "${EXT_DIR}"
-			newins "php/lib/${PHP_EXT_NAME}.so" "${PHP_EXT_NAME}.so"
-		done
-		php-ext-source-r2_createinifiles
-
-		popd >/dev/null || die
-	fi
-
-	if use python; then
-		installation() {
-			mkdir -p "${D%/}/$(python_get_sitedir)" || die
-
-			emake -C "${BUILD_DIR}" \
-				"${MAKE_RULES[@]}" \
-				install_pythondir="\"${D%/}/$(python_get_sitedir)\"" \
-				install_libdir="\"${D%/}/$(python_get_sitedir)\"" \
-				install
-		}
-		local S="${S}/python"
-		python_foreach_impl installation
-	fi
-
-	if use ruby; then
-		dodir "${SITERUBY}"
-		emake -C ruby "${MAKE_RULES[@]}" "${MAKE_RULES_RUBY[@]}" install
-	fi
-
-	if use mono; then
-		emake -C csharp "${MAKE_RULES[@]}" "${MAKE_RULES_MONO[@]}" install
-	fi
-}
diff --git a/dev-libs/Ice/Ice-3.7.6-r1.ebuild b/dev-libs/Ice/Ice-3.7.6-r1.ebuild
new file mode 100644
index 0000000..cf22d32
--- /dev/null
+++ b/dev-libs/Ice/Ice-3.7.6-r1.ebuild
@@ -0,0 +1,272 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="7"
+
+PYTHON_COMPAT=( python{3_4,3_5,3_6,3_7,3_8,3_9} pypy )
+
+RUBY_OPTIONAL="yes"
+USE_RUBY="ruby22"
+
+PHP_EXT_NAME="IcePHP"
+PHP_EXT_INI="yes"
+PHP_EXT_ZENDEXT="no"
+
+PHP_EXT_OPTIONAL_USE=php
+
+USE_PHP="php7-0"
+
+inherit db-use eutils mono-env php-ext-source-r3 python-r1 ruby-ng toolchain-funcs
+
+DESCRIPTION="ICE middleware C++ library and generator tools"
+HOMEPAGE="http://www.zeroc.com/"
+SRC_URI="https://github.com/zeroc-ice/ice/archive/v${PV/_/-}.tar.gz -> ${P/_/-}.tar.gz"
+LICENSE="GPL-2"
+SLOT="0/37"
+KEYWORDS="amd64 x86"
+IUSE="doc examples +ncurses mono php python ruby c++0x test debug"
+
+RDEPEND=">=dev-libs/expat-2.0.1
+	>=app-arch/bzip2-1.0.5
+	dev-libs/openssl:0=
+	dev-libs/libedit
+	>=dev-cpp/libmcpp-2.7.2-r3
+	=dev-db/lmdb-0.9*
+	python? ( ${PYTHON_DEPS} )
+	ruby? ( $(ruby_implementation_depend ruby22) )
+	mono? ( dev-lang/mono )
+	php? ( dev-lang/php:7.0 )
+	!dev-python/IcePy
+	!dev-ruby/IceRuby"
+DEPEND="${RDEPEND}
+	ncurses? ( sys-libs/ncurses:0= sys-libs/readline:0= )
+	test? (
+		${PYTHON_DEPS}
+		dev-python/passlib[${PYTHON_USEDEP}]
+	)"
+
+# Maintainer notes:
+# TODO: java bindings, multiple ruby versions (supports 2.{1,2,3})
+
+S="${P/_/-}"
+S="${WORKDIR}/${S/I/i}"
+PHP_EXT_S="${S}/php"
+
+pkg_setup() {
+	# prevent ruby-ng.eclass from messing with pkg_setup
+	return
+}
+
+src_unpack() {
+	# prevent ruby-ng.eclass from messing with src_unpack
+	default
+}
+
+src_prepare() {
+	# prevent ruby-ng.eclass from messing with src_prepare
+	default
+}
+
+src_configure() {
+	CONFIGS=("shared")
+	use c++0x && CONFIGS+=("cpp11-shared")
+	MAKE_RULES=(
+		"prefix=\"${ED%/}/usr\""
+		"install_docdir=\"${ED%/}/usr/share/doc/${PF}\""
+		"install_configdir=\"${ED%/}/usr/share/${P}/config\""
+		"install_mandir=\"${ED%/}/usr/share/man\""
+		"embedded_runpath_prefix=\"${EPREFIX}/usr\""
+		"configs=${CONFIGS[*]}"
+		"new_dtags=yes"
+		"NOTEST=$(usex !test)"
+		"USE_READLINE=$(usex ncurses)"
+		"OPTIMIZE=$(usex !debug)"
+	)
+
+	sed -i \
+		-e "s|g++|$(tc-getCXX)|" \
+		-e "s|\(CFLAGS[[:space:]]*=\)|\1 ${CFLAGS}|" \
+		-e "s|\(CXXFLAGS[[:space:]]*=\)|\1 ${CXXFLAGS}|" \
+		-e "s|\(LDFLAGS[[:space:]]*=\)|\1 ${LDFLAGS}|" \
+		cpp/config/Make.rules python/config/Make.rules || die "sed failed"
+
+	if use python; then
+		local S="${S}/python"
+		python_copy_sources
+	fi
+
+	if use ruby; then
+		SITERUBY="$(ruby22 -r rbconfig -e 'print RbConfig::CONFIG["sitelibdir"]')"
+		MAKE_RULES_RUBY=(
+			"install_rubydir=\"${ED%/}/${SITERUBY}\""
+			"install_libdir=\"${ED%/}/${SITERUBY}\""
+		)
+
+		# make it use ruby22 only
+		sed -i \
+			-e 's|RUBY = ruby|\022|' \
+			ruby/config/Make.rules || die "sed failed"
+		sed -i \
+			-e 's|env ruby|\022|' \
+			ruby/config/s2rb.rb || die "sed failed"
+		sed -i \
+			-e 's|env ruby|\022|' \
+			ruby/scripts/slice2rb || die "sed failed"
+		sed -i \
+			-e 's|output.write("ruby|\022|' \
+			scripts/TestUtil.py || die "sed failed"
+	fi
+
+	MAKE_RULES_MONO=(
+		"GACINSTALL=yes"
+		"GAC_ROOT=\"${ED%/}/usr/$(get_libdir)\""
+		"GAC_DIR=\"${EPREFIX}/usr/$(get_libdir)\""
+		"install_libdir=\"${ED%/}/usr/$(get_libdir)\""
+		"install_pkgconfigdir=\"${ED%/}/usr/$(get_libdir)/pkgconfig\""
+	)
+
+	if has_version ">dev-lang/mono-4"; then
+		MAKE_RULES_MONO+=("MCS=mcs")
+	fi
+
+	use test && python_setup
+}
+
+src_compile() {
+	# Do not remove this export or build will break!
+	tc-export CXX
+
+	emake -C cpp "${MAKE_RULES[@]}" srcs
+
+	if use php; then
+		local i
+		for i in $(php_get_slots); do
+			mkdir -p "${WORKDIR}/${i}" || die
+			cp -r "${PHP_EXT_S}" "${WORKDIR}/${i}/" || die "Failed to copy source ${PHP_EXT_S} to PHP target directory"
+
+			pushd "${WORKDIR}/${i}" >/dev/null || die
+			ln -s "${S}/cpp" || die
+			ln -s "${S}/config" || die
+			ln -s "${S}/slice" || die
+			ln -s "${S}/Makefile" || die
+
+			emake -C php "${MAKE_RULES[@]}" USE_NAMESPACES=yes "PHP_CONFIG=\"${EPREFIX}/usr/$(get_libdir)/${i}/bin/php-config\""
+			popd >/dev/null || die
+		done
+	fi
+
+	if use python; then
+		building() {
+			emake -C "${BUILD_DIR}" "${MAKE_RULES[@]}" PYTHON="${EPYTHON}"
+		}
+		local S="${S}/python"
+		python_foreach_impl building
+	fi
+
+	if use ruby; then
+		emake -C ruby "${MAKE_RULES[@]}" "${MAKE_RULES_RUBY[@]}"
+	fi
+
+	if use mono; then
+		emake -C csharp "${MAKE_RULES[@]}" "${MAKE_RULES_MONO[@]}"
+	fi
+}
+
+src_test() {
+	local -x LD_LIBRARY_PATH="${S}/cpp/$(get_libdir)${LD_LIBRARY_PATH+:}${LD_LIBRARY_PATH}"
+	emake -C cpp "${MAKE_RULES[@]}" tests
+
+	# php tests require the extension loaded and are therefore skipped
+
+	if use python; then
+		testing() {
+			emake -C "${BUILD_DIR}" \
+				"${MAKE_RULES[@]}" \
+				PYTHON="${EPYTHON}" \
+				install_pythondir="\"${D%/}/$(python_get_sitedir)\"" \
+				install_libdir="\"${D%/}/$(python_get_sitedir)\"" test
+		}
+		local S="${S}/python"
+		python_foreach_impl testing
+	fi
+
+	if use ruby; then
+		emake -C ruby "${MAKE_RULES[@]}" "${MAKE_RULES_RUBY[@]}" test
+	fi
+
+	if use mono; then
+		# skip mono tests, bug #498484
+		ewarn "Tests for C# are currently disabled."
+		#emake -C csharp "${MAKE_RULES[@]}" "${MAKE_RULES_MONO[@]}" test
+	fi
+}
+
+src_install() {
+	local DOCS=( CHANGELOG*.md README.md )
+	einstalldocs
+
+	insinto /usr/share/${P}
+	doins -r slice
+
+	emake -C cpp "${MAKE_RULES[@]}" install
+	find ${D}/usr/include ${D}/usr/share -type f -print0 | xargs -r0 chmod a-x
+
+	if use examples; then
+		docinto examples-cpp
+		dodoc cpp/config/*.cfg
+		docompress -x /usr/share/doc/${PF}/examples-cpp
+	fi
+
+	if use php; then
+		insinto "/usr/share/php/${PN}"
+
+		local i
+		while IFS="" read -d $'\0' -r i; do
+			doins "${i}"
+		done < <(find "${S}/php/lib/" -name '*.php' -print0)
+
+		pushd "${ED%/}/usr/share/${P}/slice" >/dev/null || die
+
+		local -x LD_LIBRARY_PATH="${ED%/}/usr/$(get_libdir):${LD_LIBRARY_PATH}"
+		for i in *; do
+			mkdir -p "${ED%/}/usr/share/php/${i}" || die
+			"${ED%/}"/usr/bin/slice2php \
+				-I"${ED%/}/usr/share/${P}/slice/" --all \
+				--output-dir "${ED%/}/usr/share/php/${i}" \
+				--ice "${ED%/}/usr/share/${P}/slice/${i}"/*
+		done
+
+		for i in $(php_get_slots); do
+			php_init_slot_env "${i}"
+			insinto "${EXT_DIR}"
+			newins "php/lib/${PHP_EXT_NAME}.so" "${PHP_EXT_NAME}.so"
+		done
+		php-ext-source-r2_createinifiles
+
+		popd >/dev/null || die
+	fi
+
+	if use python; then
+		installation() {
+			mkdir -p "${D%/}/$(python_get_sitedir)" || die
+
+			emake -C "${BUILD_DIR}" \
+				"${MAKE_RULES[@]}" \
+				install_pythondir="\"${D%/}/$(python_get_sitedir)\"" \
+				install_libdir="\"${D%/}/$(python_get_sitedir)\"" \
+				install
+		}
+		local S="${S}/python"
+		python_foreach_impl installation
+	fi
+
+	if use ruby; then
+		dodir "${SITERUBY}"
+		emake -C ruby "${MAKE_RULES[@]}" "${MAKE_RULES_RUBY[@]}" install
+	fi
+
+	if use mono; then
+		emake -C csharp "${MAKE_RULES[@]}" "${MAKE_RULES_MONO[@]}" install
+	fi
+}
diff --git a/dev-libs/Ice/Ice-3.7.6.ebuild b/dev-libs/Ice/Ice-3.7.6.ebuild
deleted file mode 100644
index 15d2cc2..0000000
--- a/dev-libs/Ice/Ice-3.7.6.ebuild
+++ /dev/null
@@ -1,294 +0,0 @@
-# Copyright 1999-2017 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI="7"
-
-PYTHON_COMPAT=( python{3_4,3_5,3_6,3_7,3_8,3_9} pypy )
-
-RUBY_OPTIONAL="yes"
-USE_RUBY="ruby22"
-
-PHP_EXT_NAME="IcePHP"
-PHP_EXT_INI="yes"
-PHP_EXT_ZENDEXT="no"
-
-PHP_EXT_OPTIONAL_USE=php
-
-USE_PHP="php7-0"
-
-# This variable does not belong to any eclass. It is solely used in this ebuild
-# db:6.2 breaks the build process
-BERKDB_SLOTS=( 6.1 5.3 5.1 4.8 )
-
-inherit db-use eutils mono-env php-ext-source-r3 python-r1 ruby-ng toolchain-funcs
-
-DESCRIPTION="ICE middleware C++ library and generator tools"
-HOMEPAGE="http://www.zeroc.com/"
-SRC_URI="https://github.com/zeroc-ice/ice/archive/v${PV/_/-}.tar.gz -> ${P/_/-}.tar.gz"
-LICENSE="GPL-2"
-SLOT="0/37"
-KEYWORDS="amd64 x86"
-IUSE="doc examples libressl +ncurses mono php python ruby c++0x test debug"
-
-RDEPEND=">=dev-libs/expat-2.0.1
-	>=app-arch/bzip2-1.0.5
-	!libressl? ( dev-libs/openssl:0= )
-	libressl? ( dev-libs/libressl:0= )
-	dev-libs/libedit
-	|| (
-		$(for slot in ${BERKDB_SLOTS[@]} ; do printf '%s\n' "sys-libs/db:${slot}[cxx]" ; done)
-	)
-	>=dev-cpp/libmcpp-2.7.2-r3
-	=dev-db/lmdb-0.9*
-	python? ( ${PYTHON_DEPS} )
-	ruby? ( $(ruby_implementation_depend ruby22) )
-	mono? ( dev-lang/mono )
-	php? ( dev-lang/php:7.0 )
-	!dev-python/IcePy
-	!dev-ruby/IceRuby"
-DEPEND="${RDEPEND}
-	ncurses? ( sys-libs/ncurses:0= sys-libs/readline:0= )
-	test? (
-		${PYTHON_DEPS}
-		dev-python/passlib[${PYTHON_USEDEP}]
-	)"
-
-# Maintainer notes:
-# TODO: java bindings, multiple ruby versions (supports 2.{1,2,3})
-
-S="${P/_/-}"
-S="${WORKDIR}/${S/I/i}"
-PHP_EXT_S="${S}/php"
-
-pkg_setup() {
-	# prevent ruby-ng.eclass from messing with pkg_setup
-	return
-}
-
-src_unpack() {
-	# prevent ruby-ng.eclass from messing with src_unpack
-	default
-}
-
-src_prepare() {
-	# prevent ruby-ng.eclass from messing with src_prepare
-	default
-}
-
-src_configure() {
-	suitable_db_version() {
-		local ver
-		for ver in "${BERKDB_SLOTS[@]}"; do
-			if [[ -n $(db_findver sys-libs/db:${ver}) ]]; then
-				echo "${ver}"
-				return 0
-			fi
-		done
-		die "No suitable BerkDB versions found, aborting"
-	}
-
-	CONFIGS=("shared")
-	use c++0x && CONFIGS+=("cpp11-shared")
-	MAKE_RULES=(
-		"prefix=\"${ED%/}/usr\""
-		"install_docdir=\"${ED%/}/usr/share/doc/${PF}\""
-		"install_configdir=\"${ED%/}/usr/share/${P}/config\""
-		"install_mandir=\"${ED%/}/usr/share/man\""
-		"embedded_runpath_prefix=\"${EPREFIX}/usr\""
-		"configs=${CONFIGS[*]}"
-		"new_dtags=yes"
-		"NOTEST=$(usex !test)"
-		"USE_READLINE=$(usex ncurses)"
-		"OPTIMIZE=$(usex !debug)"
-	)
-
-	local BERKDB_VERSION="$(suitable_db_version)"
-	MAKE_RULES+=("DB_FLAGS=-I$(db_includedir ${BERKDB_VERSION})")
-	sed -i \
-		-e "s|g++|$(tc-getCXX)|" \
-		-e "s|\(CFLAGS[[:space:]]*=\)|\1 ${CFLAGS}|" \
-		-e "s|\(CXXFLAGS[[:space:]]*=\)|\1 ${CXXFLAGS}|" \
-		-e "s|\(LDFLAGS[[:space:]]*=\)|\1 ${LDFLAGS}|" \
-		-e "s|\(DB_LIBS[[:space:]]*=\) \-ldb_cxx|\1 -ldb_cxx-$(db_findver sys-libs/db:${BERKDB_VERSION})|" \
-		cpp/config/Make.rules python/config/Make.rules || die "sed failed"
-
-	if use python; then
-		local S="${S}/python"
-		python_copy_sources
-	fi
-
-	if use ruby; then
-		SITERUBY="$(ruby22 -r rbconfig -e 'print RbConfig::CONFIG["sitelibdir"]')"
-		MAKE_RULES_RUBY=(
-			"install_rubydir=\"${ED%/}/${SITERUBY}\""
-			"install_libdir=\"${ED%/}/${SITERUBY}\""
-		)
-
-		# make it use ruby22 only
-		sed -i \
-			-e 's|RUBY = ruby|\022|' \
-			ruby/config/Make.rules || die "sed failed"
-		sed -i \
-			-e 's|env ruby|\022|' \
-			ruby/config/s2rb.rb || die "sed failed"
-		sed -i \
-			-e 's|env ruby|\022|' \
-			ruby/scripts/slice2rb || die "sed failed"
-		sed -i \
-			-e 's|output.write("ruby|\022|' \
-			scripts/TestUtil.py || die "sed failed"
-	fi
-
-	MAKE_RULES_MONO=(
-		"GACINSTALL=yes"
-		"GAC_ROOT=\"${ED%/}/usr/$(get_libdir)\""
-		"GAC_DIR=\"${EPREFIX}/usr/$(get_libdir)\""
-		"install_libdir=\"${ED%/}/usr/$(get_libdir)\""
-		"install_pkgconfigdir=\"${ED%/}/usr/$(get_libdir)/pkgconfig\""
-	)
-
-	if has_version ">dev-lang/mono-4"; then
-		MAKE_RULES_MONO+=("MCS=mcs")
-	fi
-
-	use test && python_setup
-}
-
-src_compile() {
-	# Do not remove this export or build will break!
-	tc-export CXX
-
-	emake -C cpp "${MAKE_RULES[@]}" srcs
-
-	if use php; then
-		local i
-		for i in $(php_get_slots); do
-			mkdir -p "${WORKDIR}/${i}" || die
-			cp -r "${PHP_EXT_S}" "${WORKDIR}/${i}/" || die "Failed to copy source ${PHP_EXT_S} to PHP target directory"
-
-			pushd "${WORKDIR}/${i}" >/dev/null || die
-			ln -s "${S}/cpp" || die
-			ln -s "${S}/config" || die
-			ln -s "${S}/slice" || die
-			ln -s "${S}/Makefile" || die
-
-			emake -C php "${MAKE_RULES[@]}" USE_NAMESPACES=yes "PHP_CONFIG=\"${EPREFIX}/usr/$(get_libdir)/${i}/bin/php-config\""
-			popd >/dev/null || die
-		done
-	fi
-
-	if use python; then
-		building() {
-			emake -C "${BUILD_DIR}" "${MAKE_RULES[@]}" PYTHON="${EPYTHON}"
-		}
-		local S="${S}/python"
-		python_foreach_impl building
-	fi
-
-	if use ruby; then
-		emake -C ruby "${MAKE_RULES[@]}" "${MAKE_RULES_RUBY[@]}"
-	fi
-
-	if use mono; then
-		emake -C csharp "${MAKE_RULES[@]}" "${MAKE_RULES_MONO[@]}"
-	fi
-}
-
-src_test() {
-	local -x LD_LIBRARY_PATH="${S}/cpp/$(get_libdir)${LD_LIBRARY_PATH+:}${LD_LIBRARY_PATH}"
-	emake -C cpp "${MAKE_RULES[@]}" tests
-
-	# php tests require the extension loaded and are therefore skipped
-
-	if use python; then
-		testing() {
-			emake -C "${BUILD_DIR}" \
-				"${MAKE_RULES[@]}" \
-				PYTHON="${EPYTHON}" \
-				install_pythondir="\"${D%/}/$(python_get_sitedir)\"" \
-				install_libdir="\"${D%/}/$(python_get_sitedir)\"" test
-		}
-		local S="${S}/python"
-		python_foreach_impl testing
-	fi
-
-	if use ruby; then
-		emake -C ruby "${MAKE_RULES[@]}" "${MAKE_RULES_RUBY[@]}" test
-	fi
-
-	if use mono; then
-		# skip mono tests, bug #498484
-		ewarn "Tests for C# are currently disabled."
-		#emake -C csharp "${MAKE_RULES[@]}" "${MAKE_RULES_MONO[@]}" test
-	fi
-}
-
-src_install() {
-	local DOCS=( CHANGELOG*.md README.md )
-	einstalldocs
-
-	insinto /usr/share/${P}
-	doins -r slice
-
-	emake -C cpp "${MAKE_RULES[@]}" install
-	find ${D}/usr/include ${D}/usr/share -type f -print0 | xargs -r0 chmod a-x
-
-	if use examples; then
-		docinto examples-cpp
-		dodoc cpp/config/*.cfg
-		docompress -x /usr/share/doc/${PF}/examples-cpp
-	fi
-
-	if use php; then
-		insinto "/usr/share/php/${PN}"
-
-		local i
-		while IFS="" read -d $'\0' -r i; do
-			doins "${i}"
-		done < <(find "${S}/php/lib/" -name '*.php' -print0)
-
-		pushd "${ED%/}/usr/share/${P}/slice" >/dev/null || die
-
-		local -x LD_LIBRARY_PATH="${ED%/}/usr/$(get_libdir):${LD_LIBRARY_PATH}"
-		for i in *; do
-			mkdir -p "${ED%/}/usr/share/php/${i}" || die
-			"${ED%/}"/usr/bin/slice2php \
-				-I"${ED%/}/usr/share/${P}/slice/" --all \
-				--output-dir "${ED%/}/usr/share/php/${i}" \
-				--ice "${ED%/}/usr/share/${P}/slice/${i}"/*
-		done
-
-		for i in $(php_get_slots); do
-			php_init_slot_env "${i}"
-			insinto "${EXT_DIR}"
-			newins "php/lib/${PHP_EXT_NAME}.so" "${PHP_EXT_NAME}.so"
-		done
-		php-ext-source-r2_createinifiles
-
-		popd >/dev/null || die
-	fi
-
-	if use python; then
-		installation() {
-			mkdir -p "${D%/}/$(python_get_sitedir)" || die
-
-			emake -C "${BUILD_DIR}" \
-				"${MAKE_RULES[@]}" \
-				install_pythondir="\"${D%/}/$(python_get_sitedir)\"" \
-				install_libdir="\"${D%/}/$(python_get_sitedir)\"" \
-				install
-		}
-		local S="${S}/python"
-		python_foreach_impl installation
-	fi
-
-	if use ruby; then
-		dodir "${SITERUBY}"
-		emake -C ruby "${MAKE_RULES[@]}" "${MAKE_RULES_RUBY[@]}" install
-	fi
-
-	if use mono; then
-		emake -C csharp "${MAKE_RULES[@]}" "${MAKE_RULES_MONO[@]}" install
-	fi
-}
diff --git a/dev-libs/Ice/Manifest b/dev-libs/Ice/Manifest
index 9de8c3a..346a119 100644
--- a/dev-libs/Ice/Manifest
+++ b/dev-libs/Ice/Manifest
@@ -1,6 +1,2 @@
-DIST Ice-3.7.4.tar.gz 10494392 BLAKE2B fec17b0c9b7008f8a6387fadd964c7a1b93502e50501afa3cda50222e2940dda77efcb27cab7e32b73c8a151cb95a8df5f93c51bf3f4d092c1d10423a9999a9b SHA512 a4000a7b0ef042a93f7a4f4e384087c3050a97bd38f9ac593c535307dadb741d173b3f6c8aae8ddcf4c65a0e60531e2dfa2f9f68135d92e3b43b658e620d8d27
-DIST Ice-3.7.5.tar.gz 10560299 BLAKE2B 7760fd794ba0b7af22d7b89ad1b454a46144c8ea1975bd16bdc6a0fd7d0150c62f0b23d20f8d1f5323c7c2e816c922fb2eade255010883d6045c65b451d54f1e SHA512 586bc0fc575c53444e94592d4b31b1d4aa134a050d5448e8a76576d5c79f2e596f1640edf480f2ccbc94f38f33e6007ed5056144327f6efba644f73a95b15b9a
 DIST Ice-3.7.6.tar.gz 10652936 BLAKE2B 7426721208f091b2191f0cbcc80d86b409b33953a7fda3efea68962a1bff91c62c3f4eeed312335abf614d0d008581dd98d5dc4f758f070b8899026420a87ba7 SHA512 6730653e4666b58de56c0b43b881f23dc630660947dfd3b4f30942083ac4d2f565b7aca15064c906afc7e6a90386dee67c216053d8ebabf19eadff9919e69ee7
-EBUILD Ice-3.7.4.ebuild 7434 BLAKE2B aa48196bbebdb53ceb6c359fba913c16921da290656e3fab5c7fcdea1ce69cd3ec9ffeca25ea9e540e6983e9beb03640789d53b2e611a22dd791d420de368bfc SHA512 6cb4d5b70e23f06c7c71ee3dfc9dc8a8f2848f7bf0aa410ecc1c7d75a9cf021725acc0a56124fc8fb9eb31b9d78cd2e5e4b3a9e278f52f8be341faed50f75130
-EBUILD Ice-3.7.5.ebuild 7452 BLAKE2B 12538eaf18db7a9945867fffe90b680ebb1679c2ae253b3dad5572a66163e767a5da916e762c12758e0ba6345b2d82f7cca9181405afacfbf708114b6f946934 SHA512 18d5ca3dd7dc60beab51f076ef87b96911acd36f85f8badf4b50b85506f24f3c0c2ea9bce02b037e90348127376f1075d094bb5a9834ae14fd2f243cc986db52
-EBUILD Ice-3.7.6.ebuild 7452 BLAKE2B 12538eaf18db7a9945867fffe90b680ebb1679c2ae253b3dad5572a66163e767a5da916e762c12758e0ba6345b2d82f7cca9181405afacfbf708114b6f946934 SHA512 18d5ca3dd7dc60beab51f076ef87b96911acd36f85f8badf4b50b85506f24f3c0c2ea9bce02b037e90348127376f1075d094bb5a9834ae14fd2f243cc986db52
+EBUILD Ice-3.7.6-r1.ebuild 6704 BLAKE2B 2dfe948e9fbb448c3cbd670307db6a738bc7b5f819c38a696f4d01d991c9535e4a26a515291698f0356b96e0c6ce03bca44f159418a791a999d4e2aebdcab519 SHA512 8a48f2161eba99bb4df06cd5ddd4356dae594ae2a2e995847ecbb1828293b6b13f575c3dceeb384d97747ceb05fc9476bfae10286273fbe45354395355717c04
-- 
cgit v1.2.3